Package org.h2gis.functions.spatial.crs

## Class UserSpatialRef

- java.lang.Object
- - org.h2gis.functions.spatial.crs.UserSpatialRef

    public class UserSpatialRef
    extends Object

This class contains methods to manage custom CoordinateReferenceSystem that can be build from a proj file that cannot contain any EPSG authority information

### Field Summary

Fields
`static String` `USER_SPATIAL_REF_SYS_TABLE`

### Constructor Summary

Constructors
`UserSpatialRef()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `createUserSpatialRefTable​(Connection con)` Create a temporary table available only for the local connexion to store prj information when CTS is not able to detect the official SRID A unique identifier is added.
`static int` `getUserSRID​(String prj)` Autogenarate a new user srid and store the prj in the USER_SPATIAL_REF_SYS table
`static void` `init​(Connection connection)` Init a temporary table USER_SPATIAL_REF_SYS to store non standardised prj

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### USER_SPATIAL_REF_SYS_TABLE

    public static String USER_SPATIAL_REF_SYS_TABLE

### Constructor Detail

#### UserSpatialRef

    public UserSpatialRef()

### Method Detail

#### createUserSpatialRefTable

    public static void createUserSpatialRefTable​(Connection con)
                                          throws SQLException

Create a temporary table available only for the local connexion to store prj information when CTS is not able to detect the official SRID A unique identifier is added. It starts at 1000000

Parameters:
  `con` -
Throws:
  `SQLException`

#### getUserSRID

    public static int getUserSRID​(String prj)

Autogenarate a new user srid and store the prj in the USER_SPATIAL_REF_SYS table

Parameters:
  `prj` - the input prj file
Returns:

#### init

    public static void init​(Connection connection)
                     throws SQLException

Init a temporary table USER_SPATIAL_REF_SYS to store non standardised prj

Parameters:
  `connection` -
Throws:
  `SQLException`